<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/tv/default_channel.php';

///////////////////////////////////////////////////////////////////////////

class DemoChannel extends DefaultChannel
{
    private $number;
    private $past_epg_days;
    private $future_epg_days;
    private $epg_cod;
    private $description;
    private $has_archive;

    ///////////////////////////////////////////////////////////////////////

    public function __construct(
        $id, $title, $icon_url, $streaming_url, $number, $past_epg_days, $future_epg_days, $epg_cod, $description, $has_archive)
    {
        parent::__construct($id, $title, $icon_url, $streaming_url);

        $this->number = $number;
	$this->streaming_url = $streaming_url;  //====
        $this->past_epg_days = $past_epg_days;
        $this->future_epg_days = $future_epg_days;
        $this->epg_cod = $epg_cod;
        $this->description = $description;
        $this->has_archive = $has_archive;
    }

    ///////////////////////////////////////////////////////////////////////

    public function get_number()
    { return $this->number; }

    public function has_archive()
    { return $this->has_archive; }

    public function get_past_epg_days()
    { return $this->past_epg_days; }

    public function get_future_epg_days()
    { return $this->future_epg_days; }

    public function get_epg_cod()
    { return $this->epg_cod; }

    public function get_description()
    { return $this->description; }

    public function get_url()
    { return $this->streaming_url; }
}

///////////////////////////////////////////////////////////////////////////
?>
