<?php

class ET
{
    ///////////////////////////////////////////////////////////////////////////
    public static function str_kaz2rus($str)
    {
// Ә, ә, Ғ, ғ, Қ , қ, Ң , ң, Ө , ө, Ұ , ұ, Ү , ү, Һ , h, І , і
        $str = str_replace("Ә", "Э", $str);
        $str = str_replace("ә", "э", $str);
        $str = str_replace("Ғ", "F", $str);
        $str = str_replace("ғ", "г", $str);
        $str = str_replace("Қ", "К", $str);
        $str = str_replace("қ", "к", $str);
        $str = str_replace("Ң", "Н", $str);
        $str = str_replace("ң", "н", $str);
        $str = str_replace("Ө", "О", $str);
        $str = str_replace("ө", "о", $str);
        $str = str_replace("Ұ", "Y", $str);
        $str = str_replace("ұ", "y", $str);
        $str = str_replace("Ү", "Y", $str);
        $str = str_replace("ү", "y", $str);
        $str = str_replace("Һ", "H", $str);
        $str = str_replace("h", "h", $str);
        $str = str_replace("І", "I", $str);
        $str = str_replace("і", "i", $str);
  
        return $str;
    }
///////////////////////////////////////////////////////////////////////////////////
    public static function get_epg_ktk($e_date)		// КТК
    {
	$stm =  strtotime(date('Y').'W'.date('W').'1');		// Дата начала недели 
	$etm = strtotime(date('Y').'W'.date('W').'7');		// Дата конца недели
	$today = getdate($e_date); 
	$wday = $today['wday'];

	try
		{
		$doc = HD::http_get_document('http://ktk.kz/ru/program');
		}
	catch (Exception $e)
		{
		hd_print("Программа передач (КТК) недоступна.");
	    	return "";
		}

//	if ($e_date >= $stm - HD::get_local_time_zone_offset() && $e_date <= $etm - HD::get_local_time_zone_offset())
	if ($e_date >= $stm && $e_date <= $etm)
		{
			switch ($wday)
			{
			  case 0 :
				$begin = '<div class="swiper-slide" page="6">';
				$end   = '</table>';	    
			    break;
			  case 1 :
				$begin = '<div class="swiper-slide" page="0">';
				$end   = '<div class="swiper-slide" page="1">';	    
			    break;
			  case 2 :
				$begin = '<div class="swiper-slide" page="1">';
				$end   = '<div class="swiper-slide" page="2">';		    
			    break;
			  case 3 :
				$begin = '<div class="swiper-slide" page="2">';
				$end   = '<div class="swiper-slide" page="3">';		    
			    break;
			  case 4 :
				$begin = '<div class="swiper-slide" page="3">';
				$end   = '<div class="swiper-slide" page="4">';		    
			    break;
			  case 5 :
				$begin = '<div class="swiper-slide" page="4">';
				$end   = '<div class="swiper-slide" page="5">';		    
			    break;
			  case 6 :
				$begin = '<div class="swiper-slide" page="5">';
				$end   = '<div class="swiper-slide" page="6">';		    
			    break;
			}
			$doc = strstr($doc, $begin);
			$doc = strstr($doc, $end, true);
			$doc = str_replace('</td>'."\r\n", '</td>', $doc);
			$doc = str_replace("“", "", $doc);
			$doc = str_replace("”, ", "|", $doc);
			$doc = str_replace("” ", "|", $doc);
			$doc = self::str_kaz2rus($doc);
			$doc = preg_replace("/\t{2,}/", " ", $doc); // множественные пробелы на одинарные
			$doc = strip_tags($doc);
			$doc = str_replace("\r\n", "\n", $doc);
		}
		else
		{
			$doc = "";
		}

	return $doc;	
    }

	///////////////////////////////////////////////////////------ ALMATV.KZ
    public static function get_epg_almatv($e_date)
    {
	$doc = "";
	try
		{
		$doc2 = HD::http_get_document('https://www.almatv.kz/ajax/channelProgram.php?id=213&date='.$e_date);
		}
	catch (Exception $e)
		{
		hd_print("Программа передач (Almatv) недоступна.");
	    	return "";
		}

	$doc2 = str_replace('		<span class=', '<span class=', $doc2);
	$doc2 = str_replace("</span>\r\n", "</span>", $doc2);
	$doc2 = str_replace('<div class="today_programm__name" data-id = "', "|", $doc2);
	$doc2 = str_replace('" data-v = "1">'."\r\n", '|', $doc2);
	$doc2 = str_replace('	', '', $doc2);
	$doc2 = str_replace("\r", "", $doc2);
	$doc2 = strip_tags($doc2);
	$doc2 = preg_replace("/\n{2,}/", "\n", $doc2); // множественные концы строк на одинарные
	$doc2 = explode("\n", $doc2);

	$doc = "";
	foreach ($doc2 as $value)
		{
		if (strpos($value, "|") == false)
			$doc .= $value."\n";
		else
			{
			$s = explode("|", $value);
			$doc .= $s[0].$s[2]."||".$s[1]."\n";
			}
		}
	$doc = self::str_kaz2rus($doc);

	return $doc;
	}
    ///////////////////////////////////////////////////////////////////////

}
	
?>